System.register(["src/client/ContextJS/src/contextjs.js"], function (_export, _context) {
  "use strict";

  var cop, StableFocusLayer;
  return {
    setters: [function (_srcClientContextJSSrcContextjsJs) {
      cop = _srcClientContextJSSrcContextjsJs;
    }],
    execute: function () {
      _recorder_._src_client_stablefocus_js = _recorder_._src_client_stablefocus_js || {};
      _recorder_._src_client_stablefocus_js.cop = cop;
      StableFocusLayer = _recorder_._src_client_stablefocus_js.cop.layer(window, "StableFocusLayer").refineObject(document.body, {

        focus() {
          // call a special focus that will call the native focus...
          return _recorder_._src_client_stablefocus_js.cop.withoutLayers([_recorder_._src_client_stablefocus_js.StableFocusLayer], () => {
            lively.focusWithoutScroll(this);
          });
        }
      });
      _recorder_._src_client_stablefocus_js.StableFocusLayer = StableFocusLayer;


      _recorder_._src_client_stablefocus_js.StableFocusLayer.beGlobal();

      _export("default", _recorder_._src_client_stablefocus_js.StableFocusLayer);
    }
  };
});